package com.onap.configdb.db.domain;

import java.io.Serializable;
import java.util.Objects;

import javax.persistence.Column;
import javax.persistence.Embeddable;


@Embeddable
public class PLMNInfoCompositeKey implements Serializable{

	private static final long serialVersionUID = 1L;

	@Column(name="PLMNID")
	private String pLMNId;
	@Column(name="SNSSAI")
	private String sNSSAI;

	public String getpLMNId() {
		return pLMNId;
	}

	public void setpLMNId(String pLMNId) {
		this.pLMNId = pLMNId;
	}

	public String getsNSSAI() {
		return sNSSAI;
	}

	public void setsNSSAI(String sNSSAI) {
		this.sNSSAI = sNSSAI;
	}
	@Override
	public boolean equals(Object o) {
		if (this == o)
			return true;
		if (!(o instanceof PLMNInfoCompositeKey))
			return false;
		PLMNInfoCompositeKey that = (PLMNInfoCompositeKey) o;
		return Objects.equals(getpLMNId(), that.getpLMNId())
				&& Objects.equals(getsNSSAI(), that.getsNSSAI());
	}

	@Override
	public int hashCode() {
		return Objects.hash(getpLMNId(), getsNSSAI());
	}
}
